- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ecs_cluster – create or terminate ecs clusters

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Creates or terminates ecs clusters.

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
delay - |  | Number of seconds to wait
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - / required |  | The cluster name
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
repeat - |  | The number of times to wait for the cluster to have an instance
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - / required | Choices: present absent has_instances | The desired state of the cluster
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- When deleting a cluster, the information returned is the state of the cluster prior to deletion.

- It will also wait for a cluster to have instances registered to it.

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Cluster creation
    - ecs_cluster:
        name: default
        state: present

    # Cluster deletion
    - ecs_cluster:
        name: default
        state: absent

    - name: Wait for register
      ecs_cluster:
        name: "{{ new_cluster }}"
        state: has_instances
        delay: 10
        repeat: 10
      register: task_output

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
activeServicesCount integer | 0 if a new cluster | how many services are active in this cluster
clusterArn string | 0 if a new cluster | the ARN of the cluster just created Sample: arn:aws:ecs:us-west-2:172139249013:cluster/test-cluster-mfshcdok
clusterName string | always | name of the cluster just created (should match the input argument) Sample: test-cluster-mfshcdok
pendingTasksCount integer | 0 if a new cluster | how many tasks are waiting to run in this cluster
registeredContainerInstancesCount integer | 0 if a new cluster | how many container instances are available in this cluster
runningTasksCount integer | 0 if a new cluster | how many tasks are running in this cluster
status string | always | the status of the new cluster Sample: ACTIVE

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Mark Chance (@Java1Guy)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.